import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class ViereckEqualsTest {

  @Test
  public void testEquals1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(new Punkt(5,5), null,
        new Punkt(1,1), new Punkt(5,1));
    Assertions.assertEquals(v, v2);
  }
  
  @Test
  public void testEquals2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(new Punkt(5,1)
        ,new Punkt(5,5), null
        , new Punkt(1,1));
    Assertions.assertEquals(v, v2);
  }
  
  @Test
  public void testEquals3() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(null
        , new Punkt(1,1)
        , new Punkt(5,1)
        , new Punkt(5,5));
    Assertions.assertEquals(v, v2);
  }
  
  @Test
  public void testEquals4() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    Assertions.assertEquals(v, v2);
  }
  
  @Test
  public void testNichtEquals1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , null, new Punkt(5,5));
    Assertions.assertNotEquals(v, v2);
  }
    
  @Test
  public void testNotEquals2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), new Punkt(5,5));
    ViereckInterface v2 = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    Assertions.assertNotEquals(v, v2);
  }
  
  @Test
  public void testNotEquals3() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    ViereckInterface v2 = new Viereck(null
        , new Punkt(1,1)
        , new Punkt(5,2)
        , new Punkt(5,5));
    Assertions.assertNotEquals(v, v2);
  }
}
