import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class ViereckIstAusgerichtetTest {

  @Test
  public void testIstAusgerichtet1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,5), new Punkt(2,5));
    Assertions.assertTrue(v.istAusgerichtet());
  }
  
  @Test
  public void testIstAusgerichtet2() {
    ViereckInterface v = new Viereck(new Punkt(2,5),new Punkt(1,1)
        , new Punkt(5,1)
        , new Punkt(7,5));
    Assertions.assertTrue(v.istAusgerichtet());
  }
  
  @Test
  public void testIstNichtAusgerichtet1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,42), new Punkt(2,5));
    Assertions.assertFalse(v.istAusgerichtet());
  }
  
  @Test
  public void testIsNichttAusgerichtet2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,5), null);
    Assertions.assertFalse(v.istAusgerichtet());
  }
}
