import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class ViereckIstAusgerichtetesParallelogrammTest {

  @Test
  public void testIstAusgerichtetesParallelogramm1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,5), new Punkt(3,5));
    Assertions.assertTrue(v.istAusgerichtetesParallelogramm());
  }
  
  @Test
  public void testIstAusgerichtetesParallelogramm2() {
    ViereckInterface v = new Viereck(new Punkt(3,5),new Punkt(1,1)
        , new Punkt(5,1)
        , new Punkt(7,5));
    Assertions.assertTrue(v.istAusgerichtetesParallelogramm());
  }
  
  @Test
  public void testIstAusgerichtetesParallelogramm3() {
    ViereckInterface v = new Viereck(new Punkt(3,5),new Punkt(7,5)
        , new Punkt(5,1)
        , new Punkt(1,1));
    Assertions.assertTrue(v.istAusgerichtetesParallelogramm());
  }
  
  @Test
  public void testIstNichtAusgerichtetesParallelogramm1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,42), new Punkt(2,42));
    Assertions.assertFalse(v.istAusgerichtetesParallelogramm());
  }
  
  @Test
  public void testIsNichttAusgerichtetesParallelogramm2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(7,5), null);
    Assertions.assertFalse(v.istAusgerichtetesParallelogramm());
  }
}
