import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class ViereckIstAusgerichtetesRechteckTest {

  @Test
  public void testIstAusgerichtetesRechteck1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(6,1)
        , new Punkt(6,5), new Punkt(1,5));
    Assertions.assertTrue(v.istAusgerichtetesRechteck());
  }
  
  @Test
  public void testIstAusgerichtetesRechteck2() {
    ViereckInterface v = new Viereck(new Punkt(1,5),new Punkt(1,1)
        , new Punkt(6,1)
        , new Punkt(6,5));
    Assertions.assertTrue(v.istAusgerichtetesRechteck());
  }
  
  @Test
  public void testIstAusgerichtetesRechteck3() {
    ViereckInterface v = new Viereck(new Punkt(6,1),new Punkt(1,1)
        , new Punkt(1,5)
        , new Punkt(6,5));
    Assertions.assertTrue(v.istAusgerichtetesRechteck());
  }
  
  @Test
  public void testIstNichtAusgerichtetesRechteck1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), new Punkt(0,5));
    Assertions.assertFalse(v.istAusgerichtetesRechteck());
  }
  
  @Test
  public void testIstNichtAusgerichtetesRechteck2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    Assertions.assertFalse(v.istAusgerichtetesRechteck());
  }
}
