import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class ViereckIstRauteTest {

  @Test
  public void testIstRaute1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), new Punkt(1,5));
    Assertions.assertTrue(v.istRaute());
  }
  
  @Test
  public void testIstRaute2() {
    ViereckInterface v = new Viereck(new Punkt(5,5),new Punkt(7,7)
        , new Punkt(5,9)
        , new Punkt(3,7));
    Assertions.assertTrue(v.istRaute());
  }
  
  @Test
  public void testIstRaute3() {
    ViereckInterface v = new Viereck(new Punkt(6,1),new Punkt(12,3)
        , new Punkt(10,9)
        , new Punkt(4,7));
    Assertions.assertTrue(v.istRaute());
  }
  
  @Test
  public void testIstNichtRaute1() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(6,1)
        , new Punkt(6,5), new Punkt(1,6));
    Assertions.assertFalse(v.istRaute());
  }
  
  @Test
  public void testIstNichtRaute2() {
    ViereckInterface v = new Viereck(new Punkt(1,1), new Punkt(5,1)
        , new Punkt(5,5), null);
    Assertions.assertFalse(v.istRaute());
  }
}
